Module ij
Package ij.plugin

# Class Slicer

java.lang.Object
ij.plugin.Slicer

All Implemented Interfaces:
  `PlugIn`, `ItemListener`, `TextListener`, `EventListener`

public class Slicer extends Object implements PlugIn, TextListener, ItemListener
Implements the Image/Stacks/Reslice command. Known shortcomings: for FREELINE or POLYLINE ROI, spatial calibration is ignored: the image is sampled at constant _pixel_ increments (distance 1), so (if y/x aspect ratio != 1 in source image) one dimension in the output is not homogeneous (i.e. pixelWidth not the same everywhere).

## Constructor Summary

Constructors
Constructor
Description
`Slicer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`itemStateChanged(ItemEvent e)`
`void`
`putColumn(ImageProcessor ip, int x, int y, float[] data, int length)`
`void`
`putRow(ImageProcessor ip, int x, int y, float[] data, int length)`
`ImagePlus`
`reslice(ImagePlus imp)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`textValueChanged(TextEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Slicer

public Slicer()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### reslice

public ImagePlus reslice(ImagePlus imp)

### putRow

public void putRow(ImageProcessor ip, int x, int y, float[] data, int length)

### putColumn

public void putColumn(ImageProcessor ip, int x, int y, float[] data, int length)

### textValueChanged

public void textValueChanged(TextEvent e)

Specified by:
  `textValueChanged` in interface `TextListener`

### itemStateChanged

public void itemStateChanged(ItemEvent e)

Specified by:
  `itemStateChanged` in interface `ItemListener`